<?php
/**
* @author: Egor Smolyakov, 2012.
* @e-mail: mr.stelhammer@gmail.com
*/
defined('ROOT') or define('ROOT', str_replace('\\', '/', realpath(dirname (__FILE__))));
require_once ROOT . '/system/init.php'; // инициализация ядра
if(!$is_user) redir(HOST.'/login/');

switch ($act) {
default:
page_head('Мои сайты'); // название страницы

$querypost = DB :: run() -> query("SELECT * FROM `sites` WHERE `user_id` = '".$user['id']."' ORDER BY `id` DESC;");
$total = DB :: run() -> querySingle("SELECT COUNT(*) FROM `sites`  WHERE `user_id` = '".$user['id']."';");
 if ($total > 0) {
 

 while ($s = $querypost -> fetch()) {
echo '<div class="menu"><div class=title>
 ';
echo '[ID: '.$s['id'].'] <a href="'.$s['link'].'">'.$s['link'].'</a> ';
if($s['active'] == 1) echo '<font color="green">[Активный]</font> '; if($s['active'] == 2) echo '<font color="red">[Заблокирован]</font> '; if(!$s['active']) echo '<font color="blue">[Не активный]</font> ';
echo '<br /><a href="'.HOST.'/sites/?act=code&amp;id='.$s['id'].'">[Код]</a> ';
if($s['active'] == 1) echo ''; elseif(!$s['active']) echo '<a href="'.HOST.'/sites/?act=activate&sid='.$s['id'].'">[Активировать]</a> ';
echo '<a href="'.HOST.'/sites/?act=set&amp;id='.$s['id'].'">[Настройки]</a> <a href="'.HOST.'/sites/?act=delete&sid='.$s['id'].'">[Удалить]</a>';
echo '</div></div>';
 }
} else {
echo '<div class="menu">У вас нет подключенных сайтов.</div>';
}
echo '<div class="menu">
<a href="'.HOST.'/sites/?act=add">Добавить сайт</a><br />
</div>';
break;
case 'my_refs':
page_head('Реферальная программа'); // название страницы
echo '<div class="menu">
Реферальная программа поможет Вам заработать на нашем сайте, достаточно дать ссылку друзьям или знакомым.
<div class="title"><FONT color=<"Firebrick"><b>'.HOST.'/registration/'.$user['id'].'/</b></FONT><br /></div>
Вы будете получать <b>'.$set['ref_prc'].'%</b> от суммы их дохода.
</div>';
$querypost = DB :: run() -> query("SELECT * FROM `referals` WHERE `user_id` = '".$user['id']."' ORDER BY `rub_zar` DESC;");
$total = DB :: run() -> querySingle("SELECT COUNT(*) FROM `referals`  WHERE `user_id` = '".$user['id']."';");
 if ($total > 0) {
 echo '<div class="menu">Ваши рефералы</div>';
 while ($ref = $querypost -> fetch()) {
echo '<div class="menu">
<b>'.$ref['ref'].'</b>, заработок с реферала <b>'.number_format($ref['rub_zar'], 2).'</b> руб.
</div>';
 }
echo '<div class="menu">Рефералы принесли вам <b>'.number_format(DB :: run() -> querySingle("SELECT SUM(`rub_zar`) FROM `referals`  WHERE `user_id` = '".$user['id']."';"), 2).'</b> руб.</div>';

} else {
echo '<div class="menu">У вас нет рефералов.</div>';
}
echo '<HR>';
break;
// настройки
case 'setting':
page_head('Настройка аккаунта'); // название страницы
if(!empty($_POST)) {
$send_news = protect($_POST['send_news']);
$wmr = floatval($_POST['wmr']);
$out = protect($_POST['out']);

	if(empty($wmr))
	$error = 'Пожалуйста, укажите свой WMR-кошелек';
	
	if(strlenx($wmr) > 12 || strlenx($wmr) < 12)
	$error = 'В поле "WMR-кошелек" должно быть 12 символов.';
	
	else {
	$wmz = '';

	if(!empty($_POST['new_passw'])) {
    $npass = protect($_POST['new_passw']);
    $lpass = protect($_POST['old_passw']);
    if (md5_hash($lpass) == $user['password']) {
    if(strlenx($npass) < 6 or strlenx($npass) > 32) {
    echo '<div class="menu">Количество символов в новом пароле может быть от 6 до 32.</div>';
    echo '<div class="menu"><a href="'.HOST.'/setting/">Вернуться</a></div>';
    page_foot();
    }else{
    setcookie('password', $lpass, time()+3600*24*365, '/');
    DB :: run() -> query ("UPDATE `users` SET `password` = ? WHERE `id` = '$user[id]'", array(md5_hash($npass)) );
    }
    } else {
    echo '<div class="menu">Вы ввели неправильный старый пароль.</div>';
    echo '<div class="menu"><a href="'.HOST.'/setting/">Вернуться</a></div>';
    page_foot();
    }
    }
	DB :: run() -> query ("UPDATE `users` SET `send_news` = ?, `wmz` = ?, `wmr` = ?, `out_type` = ? WHERE `id` = '$user[id]'", array($send_news, $wmz, $wmr, $out) );
	echo '<div class="menu">Данные успешно обновлены.</div>';
	echo '<div class="menu"><a href="'.HOST.'/setting/">Вернуться</a></div>';
	page_foot(); // низ сайта
	}
}
if (!empty($error)) {
echo '<div class="menu">'.$error.'</div>';
}
$check = $user['send_news'] == 1 ? ' checked="check"' : '';
$check2 = $user['send_news'] == 0 ? ' checked="check"' : '';
$checkw = $user['out_type'] == 0 ? ' checked="check"' : '';
$checkw2 = $user['out_type'] == 1 ? ' checked="check"' : '';
echo '<div class="menu">
<form action="'.HOST.'/setting/" method="POST">
Ваш e-mail: <b>'.$user['email'].'</b><br />
Получать новости:<br />
<input type="radio" value="1" name="send_news"'.$check.'/> Да &nbsp;
<input type="radio" value="0" name="send_news"'.$check2.'/> Нет<br />
WMR кошелек: <b>R'.$user['wmr'].'</b><br />
(только цифры)<br />
<input type="text" name="wmr" placeholder="123456789012" value="'.$user['wmr'].'"/><br />
<b>Новый пароль</b>:<br />
<input type="text" name="new_passw"/><br />
Текущий пароль (введите, если хотите установить новый пароль):<br />
<input type="text" name="old_passw"/><br />
<input type="submit" value="Изменить" /><br />
</form>
</div>';
break;
case 'code':
page_head('Код для установки'); // название страницы
$id = abs(intval($_GET['id']));
 $queryread = DB :: run() -> query("SELECT * FROM `sites` WHERE `id`=? AND `user_id` = ? LIMIT 1;", array(intval($id), $user['id']));
  $data = $queryread -> fetch();
  if ($data > 0) {
echo '<div class="menu">

<b>Код тизера:</b><br />
<input type="text" style="width: 80%" value=\'<script type="text/javascript" src="'.HOST.'/teasers/'.$id.'.js"></script>\'><br />
<script type="text/javascript" src="'.HOST.'/teasers/'.$id.'.js"></script>
  
</div>
<div class="menu">
<b>Код баннера:</b>
<br/>
<input type="text" style="width: 80%" value=\'<script type="text/javascript" src="'.HOST.'/banners/'.$id.'.js"></script>\'><br />
<script type="text/javascript" src="'.HOST.'/banners/'.$id.'.js"></script>

</div>
<div class="menu">
<b>Код текста:</b>
<br/>
<input type="text" style="width: 80%" value=\'<script type="text/javascript" src="'.HOST.'/ads/'.$id.'.js"></script>\'><br />
<script type="text/javascript" src="'.HOST.'/ads/'.$id.'.js"></script>

</div>
<hr>
';
} else{
 redir (HOST);
 }
break;
case 'activate':
if (isset($_GET['sid'])) {
  $queryread = DB :: run() -> query("SELECT * FROM `sites` WHERE `id`=? AND `user_id` = ? LIMIT 1;", array(intval($_GET['sid']), $user['id']));
  $data = $queryread -> fetch();
  if ($data > 0 && $data['active'] == 0) {
  page_head('Активация сайта');
 if(isset($_POST['act']))
{
function get_web_page( $url)
{
  $ch = curl_init( $url );
  curl_setopt($ch, CURLOPT_URL, $url);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);   // возвращает веб-страницу
  curl_setopt($ch, CURLOPT_HEADER, 0);           // не возвращает заголовки
  curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);   // переходит по редиректам
  curl_setopt($ch, CURLOPT_ENCODING, "");        // обрабатывает все кодировки
  curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 120); // таймаут соединения
  curl_setopt($ch, CURLOPT_TIMEOUT, 120);        // таймаут ответа
  curl_setopt($ch, CURLOPT_MAXREDIRS, 10);       // останавливаться после 10-ого редиректа
  curl_setopt($ch, CURLOPT_COOKIEJAR, "cookie.txt");
  curl_setopt($ch, CURLOPT_COOKIEFILE,"cookie.txt");

  $content = curl_exec( $ch );
  $err     = curl_errno( $ch );
  $errmsg  = curl_error( $ch );
  $header  = curl_getinfo( $ch );
  curl_close( $ch );

  $header['errno']   = $err;
  $header['errmsg']  = $errmsg;
  $header['content'] = $content;
  return $header;
}
$loc = get_web_page($data['link'].'/'.$data['time_add'].'.txt');
if(!empty($loc['errmsg'])) {
 echo '<div class="menu">Не удалось активировать сайт!</div>';
 }elseif($loc['content'] == $user['id']){
  DB :: run() -> query ("UPDATE `sites` SET `active` = '1' WHERE `id` = ?;", array($data['id']));
   echo '<div class="menu">Сайт успешно активирован!</div>';

}else{
 echo '<div class="menu">Не удалось активировать сайт!</div>';

}
 echo '<div class="menu"><a href="'.HOST.'/">Личный кабинет</a></div>';
page_foot();
}
  echo '<div class="menu">
  Для активации сайта создайте в корне сайта файл <b>'.$data['time_add'].'.txt</b> и содержащий следующий текст <b>'.$user['id'].'</b>, после этого нажмите кнопку "<b>Активировать</b>".
  <form action="'.HOST.'/sites/?act=activate&sid='.$data['id'].'" method="POST">
<input type="submit" name="act" value="Активировать" />
</form>
  </div>
  ';
  }else{
 redir (HOST.'/sites/');
 }
} else{
 redir (HOST);
 }
break;

case 'delete':
if (isset($_GET['sid'])) {
  $queryread = DB :: run() -> query("SELECT * FROM `sites` WHERE `id`=? AND `user_id` = ? LIMIT 1;", array(intval($_GET['sid']), $user['id']));
  $data = $queryread -> fetch();
  if ($data > 0) {
  DB :: run() -> query ("DELETE FROM `sites` WHERE `id` = ?;", array(intval($_GET['sid'])));
  redir (HOST.'/sites/');
  }else{
 redir (HOST);
 }
} else{
 redir (HOST);
 }
break;
case 'add':
page_head('Добавить сайт'); // название страницы
if(isset($_POST['link'])) {
$link = protect($_POST['link']);
if (!preg_match("~^(?:(?:https?|ftp|telnet)://(?:[a-z0-9_-]{1,32}".
   "(?::[a-z0-9_-]{1,32})?@)?)?(?:(?:[a-z0-9-]{1,128}\.)+(?:com|net|".
   "org|mil|edu|arpa|gov|biz|info|aero|inc|name|[a-z]{2,8})|(?!0)(?:(?".
   "!0[^.]|255)[0-9]{1,3}\.){3}(?!0|255)[0-9]{1,3})(:[0-9]{1,5})?(?:/[а-яa-z0-9.,_@%\(\)\*&".
   "?+=\~/-]*)?(?:#[^ '\"&<>]*)?$~i", $link)) {
$error = 'Неправильно введен адрес сайта.';
}else{

$quelogin = DB :: run() -> querySingle("SELECT `link` FROM `sites` WHERE lower(`link`)=? LIMIT 1;", array(strtolower($link)));
if(!empty($quelogin)) {
	$error = 'Этот сайт уже есть в базе.';
}else {
DB :: run() -> query ('INSERT INTO `sites` SET `time_add` = "'.TIME.'",`user_id` = "'.$user['id'].'", `link` = "'.$link.'"');

echo '<div class="menu">Сайт успешно добавлен!</div>';
echo '<div class="menu"><a href="'.HOST.'/sites/">Мои сайты</a></div>';
page_foot();
}
}
}
if (!empty($error)) {
echo '<div class="menu">'.$error.'</div>';
}
echo '<div class="menu">
<form action="'.HOST.'/sites/?act=add" method="POST">
Адрес сайта:<br />
<input type="text" name="link" value="http://"/><br />
<input type="submit" value="Добавить" /><br />
</form></div>';
 echo '<div class="menu"><a href="'.HOST.'/sites/">Вернуться</a></div>';
break;

case 'logs_auth':
page_head('Логи входов'); // название страницы
include_once ROOT . '/system/inc/classes/Navigator.class.php'; // класс навигации
$nav = new Navigator(HOST.'/logs/auth/?',$set['count_pages']);
 $querypost = DB :: run() -> query("SELECT * FROM `logs_auth` WHERE `user_login` = '".$user['login']."' ORDER BY `id` DESC LIMIT ".$nav->start().", ".$nav->pnumber.";");
 $total = DB :: run() -> querySingle("SELECT count(*) FROM `logs_auth` WHERE `user_login` = '".$user['login']."';");
 if ($total > 0) {
 while ($log = $querypost -> fetch()) {
 echo '<div class="menu">IP: <b>'.$log['ip'].'</b><br />
 Браузер: <b>'.$log['browser'].'</b><br />
 Дата входа: <b>'.view_date($log['time']).'</b>
 </div>';
 }
} else {
echo '<div class="menu">Вы не входили еще.</div>';
}
echo $nav->navi($total,0);
break;
case 'tickets_view':
if (isset($_GET['id'])) {
  $queryread = DB :: run() -> query("SELECT * FROM `tickets` WHERE `id`=? AND `user_author` = ? LIMIT 1;", array(intval($_GET['id']), $user['login']));
  $data = $queryread -> fetch();
  if ($data > 0) {
  page_head ($data['title']);
   if($data['new_reply'] == 1) DB :: run() -> query("UPDATE `tickets` SET `new_reply` = '0' WHERE `id` = '".$data['id']."';");
echo '<div class="menu"><b>Текст вопроса:</b><br />'.$data['title'].'</div>';

echo '<div class="menu">
Дата создания: <b>'.view_date($data['time']).'</b><br />Статус: <b>';
if($data['open'] == 1) echo 'открыт'; else echo 'закрыт';
echo '</b><br />
'.nl2br($data['text_answer']).'
</div>';

 $total = DB :: run() -> querySingle("SELECT count(*) FROM `tickets_reply` WHERE `tid` = '".$data['id']."';");
 if ($total > 0) {
 if($data['open'] == 1) {
 if(!empty($_POST['message']))
{
$message = protect($_POST['message']);
    if(strlenx($message) < 10 || strlenx($message) > 10000) {
	$error = 'Слишком короткое или длинное сообщение. Допустимо от 10 до 10000 символов.';
	}
    else {
	$flood = DB :: run() -> queryFetch("SELECT `time` FROM `tickets_reply` WHERE `tid` = ? AND `reply_login` = ? ORDER BY `time` DESC LIMIT 1", array($data['id'], $user['login']));
    if($flood['time'] < ( TIME-$set['anti_flood']))
    {
      DB :: run() -> query ('INSERT INTO `tickets_reply` SET `reply_login` = ?, `time` = ?, `tid` = ?, `text` = ?;',
	  array($user['login'], TIME, $data['id'], $message));
	  DB :: run() -> query ('UPDATE `tickets` SET `new_reply` = "2" WHERE `id` = ?;', 
	 array($data['id']));
     echo '<div class="menu">Сообщение добавлено.</div>';
	 }else{
	 $error = 'Не пишите так часто. Антифлуд '.$set['anti_flood'].' секунд.';
	 }
	}
}
if (!empty($error)) {
echo '<div class="menu">'.$error.'</div>';
}
echo '<div class="menu">
<form action="'.HOST.'/tickets/'.$data['id'].'/" method="POST">
Добавить сообщение:<br />
<textarea name="message" type="text" cols="30" rows="5"></textarea><br />
<input type="submit" value="Отправить" /><br />
</form></div>';
}


 include_once ROOT . '/system/inc/classes/Navigator.class.php'; // класс навигации
$nav = new Navigator(HOST.'/tickets/'.$data['id'].'/?',8);
 $querypost = DB :: run() -> query("SELECT * FROM `tickets_reply` WHERE `tid` = '".$data['id']."' ORDER BY `id` DESC LIMIT ".$nav->start().", ".$nav->pnumber.";;");
$totalx = DB :: run() -> querySingle("SELECT count(*) FROM `tickets_reply` WHERE `tid` = '".$data['id']."';");

 if ($totalx > 0) {
 while ($quest = $querypost -> fetch()) {
 echo '<div class="menu">';
 if ($quest['reply_login'] == $user['login']) echo '<b>'.$quest['reply_login'].'</b>'; else echo '<b>Администратор</b>';
 echo ' ['.view_date($quest['time']).']<br />
 '.nl2br($quest['text']).'
 </div>';
 }
 echo $nav->navi($total,0);
} else {
echo '<div class="menu">Ответа еще нет.</div>';
}

 echo '<div class="menu"><a href="'.HOST.'/tickets/">Вернуться</a></div>';

  }else{
 echo '<div class="menu">Ответа пока нет.</div>';
  }
} else{
 redir (HOST);
 }
 } else{
 redir (HOST);
 }
break;
case 'new_tickets':
page_head('Создание тикета');
if(!empty($_POST['theme']) && !empty($_POST['message']))
{
$theme = protect($_POST['theme']);
$message = protect($_POST['message']);
    if(strlenx($theme) < 5 || strlenx($theme) > 50) {
	$error = 'Слишком короткая или длинная тема. Допустимо от 5 до 50 символов.';
	$_SESSION['name'] = $theme;
	}
	elseif(strlenx($message) < 10 || strlenx($message) > 10000) {
	$error = 'Слишком короткое или длинное сообщение. Допустимо от 10 до 10000 символов.';
	$_SESSION['message'] = $message; }
    else {
	$flood = DB :: run() -> queryFetch("SELECT `time` FROM `tickets` WHERE `user_author` = ? ORDER BY `time` DESC LIMIT 1", array($user['login']));
    if($flood['time'] < ( TIME-$set['anti_flood']))
    {
     DB :: run() -> query ('INSERT INTO `tickets` SET `title` = ?, `time` = ?, `user_author` = ?, `text_answer` = ?, `new_reply` = "2";', 
	 array($theme, TIME, $user['login'], $message));
	 unset ($_SESSION['name']);
	 unset ($_SESSION['message']);
     redir (HOST.'/tickets/');
	 }else{
	 $error = 'Не стоит задавать так часто вопросы. Антифлуд '.$set['anti_flood'].' секунд.';
	 }
	}
}
if (!empty($error)) {
echo '<div class="menu">'.$error.'</div>';
}
$ses_name = isset($_SESSION['name']) ? $_SESSION['name'] : '';
$ses_mess = isset($_SESSION['message']) ? $_SESSION['message'] : '';
echo '<div class="menu">
<form action="'.HOST.'/tickets/add/" method="POST">
Тема вопроса:<br />
<input type="text" name="theme" value="'.$ses_name.'"/><br />
Опишите подробно вопрос:<br />
<textarea name="message" type="text" cols="30" rows="5">'.$ses_mess.'</textarea><br />
<input type="submit" value="Создать" /><br />
</form></div>';
break;
case 'tickets':
page_head('Техническая поддержка'); // название страницы
include_once ROOT . '/system/inc/classes/Navigator.class.php'; // класс навигации
$nav = new Navigator(HOST.'/tickets/?',$set['count_pages']);
 $querypost = DB :: run() -> query("SELECT * FROM `tickets` WHERE `user_author` = '".$user['login']."' ORDER BY `id` DESC LIMIT ".$nav->start().", ".$nav->pnumber.";");
 $total = DB :: run() -> querySingle("SELECT count(*) FROM `tickets` WHERE `user_author` = '".$user['login']."';");
 if ($total > 0) {
 echo '<div class="menu">Мои тикеты</div>';
 while ($ticket = $querypost -> fetch()) {
 echo '<div class="menu">';
 if($ticket['open'] == 0) echo '<b>#</b> ';
 echo '<a href="'.HOST.'/tickets/'.$ticket['id'].'/">'.$ticket['title'].'</a>';
 if ($ticket['new_reply'] == 1) echo '<br /><span style="color: red">Вам ответили!</span>';
 echo '</div>';
 }
} else {
echo '<div class="menu">Вы не задавали вопросов.</div>';
}
echo $nav->navi($total,0);
 echo '<div class="menu"><a href="'.HOST.'/tickets/add/">Создать новый тикет</a></div>';
break;
case 'out_check':
if($user['out_check'] == 0) {
page_head('Заказать выплату'); // название страницы
if (empty($user['wmr'])) {
echo '<div class="menu" style="color: red;">Ошибка! Пожалуйста введите ваш кошелок! <a href="'.HOST.'/setting/">настройки</a></div>';
} else {
DB :: run() -> query ('UPDATE `users` SET `out_check` = "1" WHERE `id` = "'.$user['id'].'"');
echo '<div class="menu">Выплата успешно заказана.</div>';
}
} else {
redir (HOST);
}
break;
case 'set':
$id = abs(intval($_GET['id']));
$queryread = DB :: run() -> query("SELECT * FROM `sites` WHERE `id`=? AND `user_id` = ? LIMIT 1;", array(intval($id), $user['id']));
  $data = $queryread -> fetch();

page_head('Настройки для сайта '.$data['link']); // название страницы

   if ($data > 0) {
if (isset($_POST['submit'])) {

$img_t = isset($_POST['img_t']) ? abs(intval($_POST['img_t'])) : '0';
$img_t_x = isset($_POST['img_t_x']) ? abs(intval($_POST['img_t_x'])) : '0';
$xxx_t = isset($_POST['xxx_t']) ? abs(intval($_POST['xxx_t'])) : '0';
$num_t = isset($_POST['num_t']) ? abs(intval($_POST['num_t'])) : '0';
$size_t = isset($_POST['size_t']) ? abs(intval($_POST['size_t'])) : '0';
$text_t = isset($_POST['text_t']) ? abs(intval($_POST['text_t'])) : '0';
$bradius_t = isset($_POST['bradius_t']) ? abs(intval($_POST['bradius_t'])) : '0';
$xxx_b = isset($_POST['xxx_b']) ? abs(intval($_POST['xxx_b'])) : '0';
$xxx_ads = isset($_POST['xxx_ads']) ? abs(intval($_POST['xxx_ads'])) : '0';
$num_ads = isset($_POST['num_ads']) ? abs(intval($_POST['num_ads'])) : '0';
$znak_ads = !empty($_POST['znak_ads']) ? $_POST['znak_ads'] : '<br />';
$qr = DB :: run() -> query("SELECT * FROM `setkods` WHERE `id`=? LIMIT 1;", array(intval($data['id'])));
  $dt = $qr -> fetch();

if ($dt > 0) {
DB :: run() -> query("UPDATE `setkods` SET `img_t`=?, `img_t_x` = ?, `xxx_t` = ?, `num_t` = ?, `size_t`= ? , `bradius_t` = ?, `xxx_b` = ?, `xxx_ads` = ?, `num_ads` = ?, `znak_ads` = ? WHERE `id` = '".$data['id']."';", 
  array($img_t, $img_t_x, $xxx_t, $num_t, $size_t, $bradius_t, $xxx_b, $xxx_ads, $num_ads, $znak_ads));

} else {
DB :: run() -> query("INSERT INTO `setkods` SET `img_t`=?, `img_t_x` = ?, `xxx_t` = ?, `num_t` = ?, `size_t`= ? , `bradius_t` = ?, `xxx_b` = ?, `xxx_ads` = ?, `num_ads` = ?, `znak_ads` = ?, `id` = ?;", 
  array($img_t, $img_t_x, $xxx_t, $num_t, $size_t, $bradius_t, $xxx_b, $xxx_ads, $num_ads, $znak_ads, $data['id']));
}
echo '<div class="menu"><font color="green">Настройки сохранены</font></div>';
} else {
$queryread = DB :: run() -> query("SELECT * FROM `setkods` WHERE `id`= '".$data['id']."' LIMIT 1;");
  $data = $queryread -> fetch();
if ($data == 0) {
  $qr = DB :: run() -> query("SELECT * FROM `setkods` WHERE `id`=? LIMIT 1;", array(1));
  $data = $qr -> fetch();
  }
echo "<script language='javascript'>";
echo '
function nodisplay(){
var im = document.getElementById("im");
var nodisplay = document.getElementById("nodisplay");
if(im.value == "1"){
nodisplay.style.display = "block";
}else{
nodisplay.style.display = "none";
}
}
</script>
<div class="menu"><div class=title><form action="" method="post"><FONT color=<"Firebrick"><b>Настройки тизеров</b></FONT><br /></div>
<b>Показывать картинки</b> <br>
<select name="img_t" id="im" onchange="nodisplay()">
<option value="0"'.($data['img_t'] == '0' ? ' selected="selected"' : '').'>Нет</option>
<option value="1"'.($data['img_t'] == '1' ? ' selected="selected"' : '').'>Да</option>
</select><br>
<div id="nodisplay"'.($data['img_t'] == '0' ? ' style="display: none;"' : '').'>
<b>Размер отображаемых картинок:</b> <br>
<select name="img_t_x">
<option value="50"'.($data['img_t_x'] == '50' ? ' selected="selected"' : '').'>50x50</option>
<option value="60"'.($data['img_t_x'] == '60' ? ' selected="selected"' : '').'>60x60</option>
<option value="70"'.($data['img_t_x'] == '70' ? ' selected="selected"' : '').'>70x70</option>
<option value="80"'.($data['img_t_x'] == '80' ? ' selected="selected"' : '').'>80x80</option>
<option value="90"'.($data['img_t_x'] == '90' ? ' selected="selected"' : '').'>90x90</option>
<option value="100"'.($data['img_t_x'] == '100' ? ' selected="selected"' : '').'>100x100</option>
<option value="110"'.($data['img_t_x'] == '110' ? ' selected="selected"' : '').'>110x110</option>
<option value="120"'.($data['img_t_x'] == '120' ? ' selected="selected"' : '').'>120x120</option>
<option value="130"'.($data['img_t_x'] == '130' ? ' selected="selected"' : '').'>130x130</option>
<option value="140"'.($data['img_t_x'] == '140' ? ' selected="selected"' : '').'>140x140</option>
<option value="150"'.($data['img_t_x'] == '150' ? ' selected="selected"' : '').'>150x150</option>
</select><br></div>
<b>Количество отображаемых тизеров:</b> <br>
<select name="num_t">
<option value="1"'.($data['num_t'] == '1' ? ' selected="selected"' : '').'>1</option>
<option value="2"'.($data['num_t'] == '2' ? ' selected="selected"' : '').'>2</option>
<option value="3"'.($data['num_t'] == '3' ? ' selected="selected"' : '').'>3</option>
<option value="4"'.($data['num_t'] == '4' ? ' selected="selected"' : '').'>4</option>
<option value="5"'.($data['num_t'] == '5' ? ' selected="selected"' : '').'>5</option>
<option value="6"'.($data['num_t'] == '6' ? ' selected="selected"' : '').'>6</option>
<option value="7"'.($data['num_t'] == '7' ? ' selected="selected"' : '').'>7</option>
<option value="8"'.($data['num_t'] == '8' ? ' selected="selected"' : '').'>8</option>
<option value="9"'.($data['num_t'] == '9' ? ' selected="selected"' : '').'>9</option>
<option value="10"'.($data['num_t'] == '10' ? ' selected="selected"' : '').'>10</option>
</select><br>
<b>Размер текста:</b> <br>
<select name="size_t">
<option'.($data['size_t'] == '10' ? ' selected="selected"' : '').' value="10">10px</option>
<option'.($data['size_t'] == '11' ? ' selected="selected"' : '').' value="11">11px</option>
<option'.($data['size_t'] == '12' ? ' selected="selected"' : '').' value="12">12px</option>
<option'.($data['size_t'] == '13' ? ' selected="selected"' : '').' value="13">13px</option>
<option'.($data['size_t'] == '14' ? ' selected="selected"' : '').' value="14">14px</option>
<option'.($data['size_t'] == '15' ? ' selected="selected"' : '').' value="15">15px</option>
<option'.($data['size_t'] == '16' ? ' selected="selected"' : '').' value="16">16px</option>
<option'.($data['size_t'] == '17' ? ' selected="selected"' : '').' value="17">17px</option>
<option'.($data['size_t'] == '18' ? ' selected="selected"' : '').' value="18">18px</option>
<option'.($data['size_t'] == '19' ? ' selected="selected"' : '').' value="19">19px</option>
<option'.($data['size_t'] == '20' ? ' selected="selected"' : '').' value="20">20px</option>
</select><br>
<b>Округление углов тизеров [целое число]:</b><br>
<input name="bradius_t" value="'.$data['bradius_t'].'" type="text"> px </div><div class="menu"><div class=title>
<FONT color=<"Firebrick"><b>Настройки текстовых реклам</b></FONT><br /></div>
<b>Количество отображаемых ссилок:</b> <br>
<select name="num_ads">
<option value="1"'.($data['num_ads'] == '1' ? ' selected="selected"' : '').'>1</option>
<option value="2"'.($data['num_ads'] == '2' ? ' selected="selected"' : '').'>2</option>
<option value="3"'.($data['num_ads'] == '3' ? ' selected="selected"' : '').'>3</option>
<option value="4"'.($data['num_ads'] == '4' ? ' selected="selected"' : '').'>4</option>
<option value="5"'.($data['num_ads'] == '5' ? ' selected="selected"' : '').'>5</option>
<option value="6"'.($data['num_ads'] == '6' ? ' selected="selected"' : '').'>6</option>
<option value="7"'.($data['num_ads'] == '7' ? ' selected="selected"' : '').'>7</option>
<option value="8"'.($data['num_ads'] == '8' ? ' selected="selected"' : '').'>8</option>
<option value="9"'.($data['num_ads'] == '9' ? ' selected="selected"' : '').'>9</option>
<option value="10"'.($data['num_ads'] == '10' ? ' selected="selected"' : '').'>10</option>
</select><br>
Разделитель между ссылками: <br />
<input type="text" name="znak_ads" value="'.$data['znak_ads'].'"><br />
<input name="submit" value="Изменить" type="submit">
</form>
</div><div class="menu">
Настройки изменятся в течении 3-х минут.</div>';
}
} else{
 redir (HOST);
 }
break;
}
echo '<div class="menu"><a href="'.HOST.'/office/">Личный кабинет</a></div>';
page_foot();
?>